package gorm_model

type PlatformKuaishouUserInfo struct {
	Id           int    `gorm:"column:id;primary_key;AUTO_INCREMENT"` // ID
	OpenId       string `gorm:"column:open_id"`                       // 快手openid
	PlatformId   int    `gorm:"column:platform_id"`                   // 平台id
	TalentId     string `gorm:"column:talent_id"`                     // 达人id
	Code         string `gorm:"column:code"`                          // 扫码后获得的临时票据
	AccessToken  string `gorm:"column:access_token"`                  // 扫码后获得的临时票据
	RefreshToken string `gorm:"column:refresh_token"`                 // 用于刷新access_token
}

func (m *PlatformKuaishouUserInfo) TableName() string {
	return "platform_kuaishou_user_info"
}
